Wed Jun 14 00:08:38 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/coco.c:
	  - g_free() checks for NULL pointers, so don't be redundant.

Tue Jun 13 23:55:32 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/coco.c:
	* src/galagod.c:
	* src/person-list.c:
	  - Fix some issues when shutting down the guest. We may not be properly
	    removing all instances of the objects still, but they'll be gone at
	    exit anyway :) At least now we're not getting assertion errors.

Tue Jun 13 23:36:32 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account-list.c:
	* src/coco.c:
	  - Patch by Jorn Baayen to fix some memory leaks and fix a bug in
	    coco unreffing in galagod_cocos_uninit().

Mon May 22 01:25:54 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/meta-service.c:
	* src/meta-service.h:
	* src/service.c:
	* configure.ac:
	  - Add some very basic handlers for Service.RegisterStatus and
	    Service.GetRegisteredStatuses messages.

==================== 0.5.0 ====================

Thu Apr 20 17:47:40 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Fix the test for libcheck so that you can pass configure without
	    requiring libcheck installed.

Thu Apr 20 00:40:59 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Add the release datestamp.

Mon Apr 10 22:45:19 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	  - Patch by Jorn Baayen to fix presence notifications to clients.
	    The wrong object path was being reported back to listeners.

Mon Apr 10 00:28:49 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	* NEWS:
	* configure.ac:
	  - Updated the news.
	  - Fix make distcheck.
	  - Bump to version 0.5.0.

Mon Apr 10 00:13:20 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* src/account.c:
	* src/account-list.c:
	* src/account-list.h:
	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	* src/filter.c:
	* src/filter.h:
	* src/galagod.c:
	* src/galagod.h:
	* src/logging.c:
	* src/logging.h:
	* src/main.c:
	* src/meta-account.c:
	* src/meta-account.h:
	* src/meta-object.c:
	* src/meta-object.h:
	* src/meta-person.c:
	* src/meta-person.h:
	* src/meta-presence.c:
	* src/meta-presence.h:
	* src/meta-service.c:
	* src/meta-service.h:
	* src/person.c:
	* src/person-list.c:
	* src/person-list.h:
	* src/presence.c:
	* src/service.c:
	* src/service-list.c:
	* src/service-list.h:
	* src/utils.c:
	* src/utils.h:
	* tests/check-galagod.c:
	* tests/shutdown-daemon.c:
	  - Update copyrights.

Mon Apr 10 00:05:58 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	* src/meta-person.c:
	* src/person-list.c:
	  - Fix a bug where meta-people, after merging, wouldn't end up in the
	    meta people table.

Sun Apr 09 23:16:42 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/galagod.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/person.c:
	* src/utils.c:
	* src/utils.h:
	  - Added basic attribute merging support.
	  - Added support for retrieving a list of remote attributes.

Wed Mar 29 22:13:53 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/person.c:
	* src/service.c:
	* src/utils.c:
	* src/utils.h:
	  - Move galago_dbus_normalize_name() from libgalago to here, and
	    rename to galagod_dbus_normalize_name().

Mon Mar 13 23:23:11 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	A tests/shutdown-daemon.c:
	D tools:
	D tools/Makefile.am:
	D tools/shutdown-daemon.c:
	* Makefile.am:
	* configure.ac:
	  - Move tools/shutdown-daemon to tests/.

Mon Mar 13 23:11:32 PST 2006  Christian Hammond <chipx86@chipx86.com>

	D tools/list-accounts.c:
	D tools/list-my-accounts.c:
	D tools/list-people.c:
	D tools/list-services.c:
	* tools/Makefile.am:
	  - Move a bunch of stuff from tools/ to libgalago/tests/.

Mon Feb 13 00:21:19 PST 2006  Christian Hammond <chipx86@chipx86.com>

	D debian:
	D debian/changelog:
	D debian/compat:
	D debian/control:
	D debian/copyright:
	D debian/docs:
	D debian/Makefile.am:
	D debian/rules:
	* configure.ac:
	* Makefile.am:
	  - Remove the debian directory.

Sun Feb 12 03:23:40 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/person.c:
	* src/person-list.c:
	* tools/list-people.c:
	  - Updated to work with the new way of handling persistent (more or
	    less) person IDs and per-session handles. After these changes, the
	    IDs published by, say, eds-feed end up showing up on the client end.
	    Apps now have a far better chance of a person's ID being tied to the
	    correct thing in a later session.

Thu Feb 09 00:34:52 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Patch by compnerd to provide a configure option for disabling
	    unit tests. This closes ticket #20.

Thu Feb 09 00:28:25 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/logging.c:
	* AUTHORS:
	  - Patch by Jorn Baayen to fix get_log_level_name() so that it treats
	    the log level flags as a bitmask, as it should be. It was previously
	    going and using a switch statement. This closes patch #17.

Tue Feb 07 00:50:39 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/presence.c:
	  - When a status is added, compute the object path and send it back
	    to the caller.

Mon Feb 06 01:10:05 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/person-list.c:
	  - Fix merging of MetaPersons. We shouldn't encounter leaks anymore.

Mon Feb 06 00:14:20 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/meta-person.c:
	  - Fix the retrieval of the MetaPresence when creating a presence.

Fri Feb 03 02:16:32 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/core.c:
	* src/filter.h:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/person.c:
	* src/presence.c:
	  - Move to using CreatePresence, RemovePresence, PresenceCreated, and
	    PresenceDeleted instead of SetPresence, UnsetPresence,
	    PresenceSet, and PresenceUnset.
	  - CreatePresence now computes and returns the object path.
	  - CoCo.AddPerson now computes the object path of the person.

Fri Feb 03 00:47:13 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	  - Remove a redundant function call.

Wed Feb 01 20:52:27 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/meta-person.c:
	  - Compile again! Ignore the warnings. I'll fix them later.

Tue Jan 10 00:41:18 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/filter.h:
	* src/meta-account.c:
	* src/service.c:
	  - Compute the account object paths when adding an account to a service.

Tue Jan 10 00:22:18 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/meta-presence.c:
	  - Fix the callback handler for idle changes so that we actually have
	    the parameters in the right order.

Mon Jan 09 23:30:05 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	* src/filter.h:
	* src/meta-service.c:
	* src/service.c:
	* src/service-list.c:
	  - Return a computed object path when a service is added to a service.

Wed Dec 14 01:27:07 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	  - Add support for object attributes in GalagoAccount.

Wed Dec 14 00:34:30 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/utils.c:
	  - Change calls from galago_object_remove_attr() to
	    galago_object_remove_attribute().

Wed Dec 14 00:27:46 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person.c:
	* src/utils.c:
	* src/utils.h:
	  - Updated to move to the Object Attributes model.

Sun Dec 04 03:08:38 PST 2005  Christian Hammond <chipx86@chipx86.com>

	D src/image.c:
	* src/filter.h:
	* src/Makefile.am:
	  - Remove support for Image object command handling, since there are
	    no commands on an image.

Sun Nov 27 15:43:25 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	* src/filter.c:
	* src/galagod.c:
	* src/logging.c:
	* src/person.c:
	* src/person-list.c:
	* src/service.c:
	* src/utils.c:
	* src/utils.h:
	  - Moved to using the glib logging functions instead of the old
	    galago_log_* functions.

Thu Nov 24 17:24:37 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/meta-presence.c:
	* src/presence.c:
	  - Move to using the idle start time model instead of time length model.

Sun Nov 20 03:46:59 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	* src/person.c:
	  - More minor migration to D-BUS 0.3x.

Sun Nov 20 03:15:07 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/person.c:
	  - Pass a GType to galago_dbus_message_iter_append_object_list().

Sun Nov 20 01:21:23 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person.c:
	  - In Person.GetProperty, return the value in a variant container.

Sat Nov 19 16:19:19 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/core.c:
	  - Append an actual D-BUS array of services in GetServices and of
	    people in GetPeople.

Sat Nov 19 15:00:45 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person.c:
	  - Update to recurse into the VARIANT container for property values,
	    and to create them when sending out the signal.

Sat Nov 12 16:06:44 PST 2005  Christian Hammond <chipx86@chipx86.com>

	A src/image.c:
	D src/avatar.c:
	D src/photo.c:
	  - Add image.c and remove avatar.c and photo.c.

Sat Nov 12 16:03:22 PST 2005  Christian Hammond <chipx86@chipx86.com>

	A src/image.c:
	  - Forgot to add this file.

Sat Nov 12 15:31:19 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/filter.h:
	* src/Makefile.am:
	* src/meta-presence.c:
	* src/person.c:
	  - Updated to compile against the new GalagoImage changes in libgalago.

Sat Nov 12 15:21:33 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	D tests/test-feed-1.c:
	D tests/test-feed-2.c:
	  - Remove the test feeds. These are duplicates of what's in libgalago.

Thu Nov 10 21:51:53 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/utils.h:
	* tools/shutdown-daemon.c:
	  - Don't include galago-dbus-compat.h.

Sun Nov 06 15:45:08 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/account-list.c:
	* src/coco.c:
	* src/core.c:
	* src/filter.c:
	* src/galagod.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/person.c:
	* src/presence.c:
	* src/service-list.c:
	* tests/test-feed-1.c:
	* tests/test-feed-2.c:
	* tools/list-accounts.c:
	* tools/list-my-accounts.c:
	* tools/list-people.c:
	* tools/list-services.c:
	  - galago_core_* -> galago_*

Sun Nov 06 03:58:44 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tools/list-accounts.c:
	* tools/list-my-accounts.c:
	* tools/list-people.c:
	* tools/list-services.c:
	  - Fix the tools to use GALAGO_LOCAL and GALAGO_REMOTE instea of
	    TRUE, FALSE.

Sun Nov 06 03:26:35 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person-list.c:
	* src/service-list.c:
	* tests/test-feed-1.c:
	* tests/test-feed-2.c:
	  - Use GALAGO_LOCAL and GALAGO_REMOTE instead of TRUE, FALSE.
	  - Update the test programs and feeds to use the new API functions.

Sun Nov 06 03:15:55 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/meta-person.c:
	* src/meta-service.c:
	  - Use galago_core_create_person() and galago_core_create_service().

Thu Nov 03 23:31:14 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/meta-account.c:
	* tests/test-feed-1.c:
	* tests/test-feed-2.c:
	  - Use galago_service_create_account instead of galago_account_new.

Tue Nov 01 01:03:52 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/galagod.c:
	* src/meta-presence.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	* tools/shutdown-daemon.c:
	* configure.ac:
	  - Require D-BUS 0.36 or higher.

Sat Oct 29 19:14:11 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/avatar.c:
	* src/photo.c:
	  - Updated for the GalagoImage API changes.

Wed Oct 26 02:05:10 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Use g_object_unref instead of galago_context_destroy.

Sun Oct 23 02:14:45 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/galagod.c:
	* tests/test-feed-1.c:
	* tests/test-feed-2.c:
	* configure.ac:
	  - Use galago_init() instead of galago_glib_init().

Sun Oct 23 01:42:32 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/Makefile.am:
	D src/person-db.c:
	D src/person-db.h:
	* src/galagod.c:
	* src/person-list.c:
	* tests/check-galagod.c:
	* configure.ac:
	  - Get rid of the person DB support. I have a much better
	    implementation in mind, and with any luck, I'll remember it
	    after tonight.
	  - Bump the version to 0.3.4.90.

==================== 0.3.4 ====================

Sat Aug 27 22:01:29 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/Makefile.am:
	D debian/galago-daemon.dirs:
	D debian/galago-daemon.install:
	* debian/changelog:
	* debian/rules:
	  - Install galago-daemon into /usr/lib/galago-daemon instead of
	    /usr/libexec.
	  - Remove galago-daemon.dirs and galago-daemon.install.

Sat Aug 27 21:36:05 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* debian/control:
	* debian/copyright:
	* debian/rules:
	  - Added autoconf and automake to Build-Depends.
	  - Build-depend on libgalago 0.3.3.
	  - Bumped up Standards-Version to 3.6.2.
	  - Fix the copyright file to pass lintian check.

Sat Aug 27 19:37:01 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* Makefile.am:
	* configure.ac:
	  - Require libgalago 0.3.3.
	  - Fix make distcheck.

Sat Aug 27 19:34:25 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	* debian/changelog:
	* debian/control:
	* NEWS:
	  - Fixed a parsing error in Build-Depends.
	  - Bumped to version 0.3.4.

Thu Aug 25 00:03:32 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.c:
	* NEWS:
	  - All feeds must now be installed to /usr/lib/galago. The old
	    location, /usr/libexec/galago, is no longer checked.

Sat Jul 30 16:00:21 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/coco.h:
	* src/filter.c:
	  - Get rid of the GALAGOD_COCO() macro.

Sat Jul 30 15:46:05 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/coco.c:
	* src/coco.h:
	  - Woops, try again.

Sat Jul 30 15:43:37 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/coco.c:
	* src/coco.h:
	* src/meta-object.c:
	  - Use the correct parent class types for GalagodCoCo and
	    GalagodMetaObject.

Sat Jul 30 02:04:35 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/account-list.c:
	* src/account-list.h:
	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	* src/filter.c:
	* src/logging.c:
	* src/meta-account.c:
	* src/meta-account.h:
	* src/meta-object.c:
	* src/meta-object.h:
	* src/meta-person.c:
	* src/meta-person.h:
	* src/meta-presence.c:
	* src/meta-presence.h:
	* src/meta-service.c:
	* src/meta-service.h:
	* src/person.c:
	* src/person-db.c:
	* src/person-list.c:
	* src/person-list.h:
	* src/presence.c:
	* src/service.c:
	* src/service-list.c:
	* src/service-list.h:
	* src/utils.c:
	* tools/list-accounts.c:
	* tools/list-my-accounts.c:
	* tools/list-people.c:
	* tools/list-services.c:
	  - Compile with the glib port of libgalago.

Sat Jul 23 17:08:24 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	D galago-daemon.service.in:
	A org.freedesktop.Galago.service.in:
	  - Renamed galago-daemon.service.in to
	    org.freedesktop.Galago.service.in, and made the .service
	    generation code more generic.

Mon Jul 04 12:43:03 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Require gobject-2.0.

Mon Jun 20 00:43:06 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump to version 0.3.3.90.
	  - Confirmed to work with D-BUS 0.22. Thanks again, Bleeter.

Tue Jun 07 00:59:42 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* debian/changelog:
	* NEWS:
	* configure.ac:
	  - Bump to version 0.3.3.

Sun Jun 05 16:04:42 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person-db.c:
	* src/utils.c:
	* NEWS:
	  - Fixed further x86_64 with gcc4 compiler warnings.

Sun Jun 05 15:59:18 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/prefix.c:
	* src/prefix.h:
	* NEWS:
	  - Upgraded binreloc, fixing some portability issues with x86_64, gcc4,
	    and when disabling binreloc during compile time.

Sun Jun 05 15:47:41 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	* NEWS:
	* configure.ac:
	  - Fixed a packaging issue where galago-daemon.service wasn't being
		rebuilt.
	  - Bump to v0.3.2.90.

Thu May 26 20:05:57 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* debian/changelog:
	* NEWS:
	* configure.ac:
	  - Bump to v0.3.2.

Mon May 23 01:05:25 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person.c:
	  - Make the error reply to the message, not to itself.

Sun May 22 21:39:04 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	  - "AvatarSet" != "PresenceSet". I cannot stress enough how important
	    the distinction is.

Sun May 22 01:18:22 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/person.c:
	  - Pass the new objects in the PhotoSet, AvatarSet, and PresenceSet
	    signals.

Sun May 22 01:11:42 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Added PhotoUnset, PhotoSet, and PropertyRemoved signals.

Sun May 22 00:36:09 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Emit AvatarSet and AvatarUnset signals.

Sun May 22 00:24:31 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Implement UnsetPhoto.

Sat May 21 23:57:56 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Support UnsetAvatar.

Sat May 21 23:56:12 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Support UnsetPresence.

Sat May 21 23:52:50 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Implement PresenceSet and PresenceUnset. I thought I had these
	    before, but I guess not.

Sat May 21 23:57:19 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/account.c:
	* src/core.c:
	* src/person.c:
	* src/service.c:
	* src/utils.c:
	* src/utils.h:
	  - Send a GALAGO_DBUS_ERROR_OBJECT_NOT_FOUND error when an object
	    could not be found, instead of a NIL.

Sat May 21 23:13:38 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* src/person.c:
	  - Return a D-BUS error message type on invalid property rather than
	    returning NIL.

Thu May 19 09:01:24 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/core.c:
	* src/service-list.c:
	  - Make things compile again with D-BUS 0.23.x.

Tue May 17 21:54:26 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Fix a potential memory leak.

Tue May 17 21:39:32 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Always grab the idle time here too, rather than only grabbing it
	    if idle is set.

Tue May 17 10:11:19 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	  - As we're not supposed to free the returned data from messages in
	    D-BUS 0.30+, we need to #if !GALAGO_CHECK_DBUS_VERSION(0, 30) all
	    calls to dbus_free() that free the returned data.

Tue May 17 10:01:34 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/account-list.c:
	* src/core.c:
	* src/meta-account.c:
	* src/meta-presence.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	* src/service-list.c:
	  - Use dbus_message_iter_init_append() where appropriate.

Tue May 17 01:42:46 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/galagod.c:
	* src/galagod.h:
	* src/meta-presence.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	* src/utils.h:
	* tools/shutdown-daemon.c:
	  - galago-daemon now compiles against D-BUS 0.33. It is not at all
	    tested or even ran.

Tue May 17 02:01:21 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Use galago_dbus_message_iter_get_string_or_nil() to retrieve
	    the display name rather than checking for NIL.

Tue May 17 01:24:02 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Don't append nil for a non-existant display name. Append an
	    empty string.

Tue May 17 01:11:37 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* acinclude.m4:
	  - Quote AM_PATH_CHECK.

Mon May 09 22:54:50 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Some tiny code condensing/cleanups I made on the train. I got bored
	    of it fast though.

Mon May 09 11:01:07 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/core.c:
	* src/person.c:
	* src/service.c:
	  - Added support for Get*Count message functions for handlers
	    returning lists.

Tue Apr 26 01:48:56 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/meta-object.c:
	* src/meta-object.h:
	  - Moved to the new GALAGO_REGISTER_CLASS macro for class registration.
	    The number of lines is going down, baby.

Tue Apr 26 01:42:22 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Require libgalago 0.3.1.90+.

Tue Apr 26 01:35:02 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/core.c:
	* src/galagod.c:
	* src/filter.c:
	* src/filter.h:
	  - Further clean up the codebase by removing all legacy code for
	    D-BUS < 0.23.

Tue Apr 26 01:27:40 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Require D-BUS 0.23.x.

Mon Apr 25 20:05:47 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/account.c:
	* src/avatar.c:
	D src/cmdtable.c:
	D src/cmdtable.h:
	* src/core.c:
	* src/filter.c:
	* src/filter.h:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	  - More massive cleanups, and move the new cmdtable.[ch] into
	    filter.[ch]. These changes have reduced the codebase by over 400
	    lines.

Mon Apr 25 19:16:37 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	A src/cmdtable.c:
	A src/cmdtable.h:
	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	* NEWS:
	  - Added a new command table API that lets us conveniently create a
	    simple table of D-BUS message commands and execute based on the
	    table. The large groups of conditionals are now small macro-based
	    lookup tables and calls to a single function.

Mon Apr 25 19:12:43 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* configure.ac:
	  - Bumped to version 0.3.1.90.

Sun Apr 03 11:45:54 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	  - We require libglib2.0-dev to build, not libglib2.0-0.

Fri Apr 01 20:41:42 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	D debian/README.Debian:
	* debian/changelog:
	* debian/control:
	* NEWS:
	* configure.ac:
	  - Fix up some Debian packaging stuff.
	  - Bump to version 0.3.1.

Fri Apr 01 08:55:22 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/logging.c:
	  - Use G_VA_COPY instead of GALAGO_VA_COPY, since we have access to
	    that macro here and GALAGO_VA_COPY is now private.

Fri Apr 01 08:52:54 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Bump the version to 0.3.0.90.

Tue Mar 22 01:04:29 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/Makefile.am:
	  - Fix make distcheck.

Tue Mar 22 01:02:41 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* configure.ac:
	  - Bump to version 0.3.0.

Tue Mar 22 01:00:41 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	* debian/galago-daemon.dirs:
	* debian/galago-daemon.install:
	* debian/rules:
	  - Fix package building so we don't get a debian/ dir in our package,
	    and put our etc files in it as well.

Tue Mar 22 00:30:16 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A debian/galago-daemon.dirs:
	A debian/galago-daemon.install:
	D debian/dirs:
	D debian/install:
	* debian/control:
	* debian/rules:
	  - Oops, that was an old version. Update with the new changes.

Tue Mar 22 00:27:28 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A debian/changelog:
	A debian/compat:
	A debian/control:
	A debian/copyright:
	A debian/dirs:
	A debian/docs:
	A debian/install:
	A debian/Makefile.am:
	A debian/README.Debian:
	A debian/rules:
	* Makefile.am:
	* configure.ac:
	  - Added the debian directory.

Thu Mar 17 11:16:08 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* src/person-db.c:
	  - Move the person DB flush timeout value to a #define.
	  - Improve an error message on invalid magic number.

Wed Mar 09 02:00:51 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Bump the version to 0.2.90.

Mon Mar 07 21:47:04 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* galago-daemon.conf:
	* Makefile.am:
	  - Fix make distcheck. And what the hell?

Sat Feb 12 23:51:25 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - For D-BUS 0.23 and higher, use $datadir/dbus-1/services instead of
	    $libdir/dbus-1/servics for the service info file.

Thu Jan 13 14:07:01 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - $SHAREDIR should have been $LIBDIR.

Thu Dec 16 20:44:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Moved a define from libgalago to here.

2004-11-15  Christopher James Lahey  <clahey@ximian.com>

	* configure.ac: Change dbus services directory to reflect dbus cvs.

Wed Nov 03 09:22:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/prefix.c:
	  - Fix compiler warnings.

Wed Nov 03 02:09:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/filter.c:
	* src/filter.h:
	* src/meta-service.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	  - Store a context inside of GalagodStateData, rather than relying upon
	    the context inside of the CoCo, since we won't have a CoCo for objects
	    that are native to galago-daemon. This should fix several major crashes
	    and certainly several runtime warnings and unbalanced stack issues.

2004-10-26  Christopher James Lahey  <clahey@ximian.com>

	* src/prefix.c: Switched to gthread.

Thu Oct 21 00:29:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Push the correct context in presence_set_statuses() when duplicating
	    statuses.

Thu Oct 21 00:08:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/person.c:
	* src/photo.c:
	* src/presence.c:
	* src/service.c:
	  - Ensure we're always using the correct context for the object when
	    handling a D-BUS message by pushing and popping the context in the
	    message path handler rather than each command handler.

Mon Oct 18 22:52:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* acinclude.m4:
	* configure.ac:
	  - Display the fully expanded $DBUS_SYS_DIR and $DBUS_SERVICES_DIR
	    variables at the end of configure.

Mon Oct 18 09:44:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	A src/photo.c:
	  - Added photo support.

Thu Oct 14 01:36:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account-list.h:
	* src/meta-service.c:
	  - Perform username normalization.

Wed Oct 13 23:25:25 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-service.c:
	* src/meta-service.h:
	* src/service-list.c:
	* tests/test-feed-1.c:
	* tests/test-feed-2.c:
	  - Updated to work with the new flag on galago_service_new().

Wed Oct 13 01:24:24 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/presence.c:
	  - Push and pop contexts when duplicating statuses. Remove things in
	    the right order. Partial fix for the big crasher bug. The libgalago
	    fix was the other half of this.

Wed Oct 13 00:35:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - Since galagod_meta_person_new() now adds its meta_person to the list,
	    don't do it manually in galagod_people_init().

Wed Oct 13 00:31:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/utils.c:
	* src/utils.h:
	  - Added a utility function to dump most of the internal object tree to
	    debug_misc.

Sun Oct 10 20:25:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	  - Solved the problem where a meta-presence's main presence was being
	    destroyed too early. We now destroy all contained objects in
	    meta objects before destroying the main object.

Sun Oct 10 20:01:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Don't do needless work to get the main presence from the meta-presence
	    in account_set_presence(). We're getting the main presence, converting
		to meta-presence, and then getting the main presence. Now we just use
		the main presence. I'm tired of saying main presence.

Thu Oct 07 09:39:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/person-list.c:
	* src/person-list.h:
	  - More necessary restructuring. Some things broke because of it,
	    though.

Thu Oct 07 09:35:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A tests/test-feed-1.c:
	A tests/test-feed-2.c:
	  - Added a couple of the test feeds, so things will compile again.

Thu Oct 07 00:53:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-service.c:
	* src/person-list.c:
	* src/service-list.c:
	  - Moved more responsibilities from the lists to the meta objects.

Thu Oct 07 00:48:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	  - Remove meta-accounts properly from the account list.

Thu Oct 07 00:45:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	  - Tidy up a block of code a bit more.

Thu Oct 07 00:43:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account-list.h:
	* src/meta-account.c:
	  - Added galagod_accounts_add_meta_account(), and called it
	    in galagod_meta_account_new(), rather than in
	    galagod_account_list_add().

Thu Oct 07 00:30:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-service.c:
	* src/service-list.c:
	* src/service-list.h:
	  - Added galagod_services_add_meta_service(), and called it
	    in galagod_meta_service_new(), rather than in
	    galagod_services_add().

Thu Oct 07 00:28:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/check-galagod.c:
	  - Add a simple test to check-galagod.

Tue Oct 05 23:55:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account-list.h:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-service.c:
	* src/person-list.c:
	* src/person-list.h:
	* src/service-list.c:
	* src/service-list.h:
	  - Moved removal of meta-* objects in the object-specific lists to
	    their own API functions, and had the destructors for the meta-*
	    objects call them.

Tue Oct 05 22:17:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	  - Rather than just unsetting the meta-* data on each object when a
	    meta-object dies, call the appropriate remove function, so that
	    we actually remove the associated accounts, presences, etc. This
	    should fix the critical bug holding up a release.

Sat Sep 25 14:22:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Fix the D-BUS version checking. Wow, screwed that one up.

Fri Sep 24 23:34:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* acinclude.m4:
	  - This fix should make purple_cow less mad at me. Oh yeah, and let
	    people compile if they don't have Check.

Wed Sep 22 10:17:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Better D-BUS version string parsing. Patch by Nat Friedman.

Tue Sep 21 23:17:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	  - Use GALAGOD_META_ACCOUNT() rather than
	    galagod_account_list_get_meta_account() in
	    galagod_account_list_remove(). I think this is safe.

Tue Sep 21 23:15:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Update for the galago_account_get_avatar() API change.

Sun Sep 12 20:50:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/check-galagod.c:
	  - Make the unit test program itself actually not crash...

Sun Sep 12 20:45:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A tests/Makefile.am:
	A tests/check-galagod.c:
	* src/Makefile.am:
	* src/coco.c:
	A src/galagod.c:
	* src/galagod.h:
	* src/main.c:
	* Makefile.am:
	* configure.ac:
	  - Moved the galago-daemon code into libgalagod.a, and added the
	    very beginnings of unit tests.

Sun Sep 12 20:01:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Check if the resulting CoCo is NULL. If so, send back a
	    RegistrationFailed error.

Sun Sep 12 18:03:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/logging.c:
	  - Improve debug output by actually showing the level names, like
	    how they were before. Also prefix "galagod," so we can distinguish
	    between feed and galago-daemon messages.

Sun Sep 12 17:57:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/logging.c:
	* src/main.c:
	  - I suck. This actually works.

Sun Sep 12 17:48:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	A src/logging.c:
	A src/logging.h:
	* src/main.c:
	  - Added command line options, and log to file support.

Sun Sep 12 16:04:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - '-' and '_' are now allowable characters in feed IDs.

Fri Sep 10 00:45:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/utils.c:
	  - Re-enabled galagod_dbus_send_empty_reply().

Thu Sep 09 10:20:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/utils.c:
	  - Disable the galagod_dbus_send_empty_reply() function for now. It's
	    causing problems, and I have to head to work.

Thu Sep 09 09:58:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/core.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Send empty D-BUS message replies on functions that don't already
	    send replies. Believe it or not, this is needed for D-BUS.

Thu Sep 09 09:50:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	A src/utils.c:
	* src/utils.h:
	  - Added galagod_dbus_send_empty_reply().

Wed Sep 08 10:30:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account.c:
	* src/coco.c:
	* src/filter.c:
	* src/meta-account.c:
	* src/meta-object.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/person-db.c:
	* src/person-list.c:
	* src/presence.c:
	* src/service-list.c:
	  - Use the galago_return_*_if_fail macros instead of glib's.

Wed Sep 08 00:50:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - We have generate_obj_path(). We might as well use it, rather than
	    duplicating code.
	  - Renamed tmp to nname.

Wed Sep 08 00:47:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Plugged a memory leak in CoCo ID generation.

Wed Sep 08 00:14:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Implemented Person.GetProperty().

Wed Aug 25 23:19:44 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - We now generate a PropertySet signal on Person when we receive one.

Wed Aug 25 00:48:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-db.c:
	* src/person-db.h:
	* src/person-list.c:
	  - Initial stab at meta-person merging from the person db cache.
	    It needs some work, it seems, but it's a step in the right
	    direction.

Wed Aug 25 00:37:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/Makefile.am:
	A tools/list-people.c:
	  - Added the list-people tool.

Sun Aug 22 17:41:24 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person-list.c:
	* src/person-list.h:
	  - Added a table of meta-people, and added support for the
	    Core.GetPerson() method.

Thu Aug 19 23:06:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-db.c:
	  - g_path_get_dirname, not g_path_get_basename.

Thu Aug 19 22:58:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-db.c:
	  - Ensure the path to the person database directory exists before
	    we try to use it.

Tue Aug 17 23:41:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/main.c:
	D src/person-cache.c:
	D src/person-cache.h:
	A src/person-db.c:
	A src/person-db.h:
	  - Moved person-cache.[ch] to person-db.[ch].

Tue Aug 17 23:17:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Moved from using $HOME/.galago/person_cache to
	    $XDG_DATA_HOME/galago/people.db.

Thu Aug 12 17:37:35 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-object.c:
	* src/meta-object.h:
	  - Added some API functions for GalagodMetaObject.

Thu Aug 12 17:25:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Remove the hacky checks for D-BUS 0.22cvs, now that 0.22 is
	    actually released.

Thu Aug 12 15:17:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A src/meta-object.c:
	A src/meta-object.h:
	* src/Makefile.am:
	  - Added the base of GalagodMetaObject.

Wed Aug 11 03:35:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	  - Removed galagod_coco_destroy().

Wed Aug 11 03:31:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/presence.c:
	* src/service.c:
	  - Update to use galago_object_unref().

Sun Aug 08 03:03:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/core.c:
	* src/filter.c:
	* src/filter.h:
	* src/main.c:
	* src/meta-person.c:
	* src/person-cache.c:
	A src/utils.h:
	* ChangeLog:
	* configure.ac:
	  - galago-daemon is now compatible with D-BUS 0.20 through 0.22.
	  - Added utils.h.
	  - Added wrapper functions galagod_dbus_{un,}register_object_path()
	    to wrap the differences in the API changes between D-BUS 0.21 and
	    0.22 in dbus_connection_{un,}register_object_path().

Thu Aug 05 04:16:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	* src/meta-person.c:
	* src/person-cache.c:
	  - Make sure we initialize serial to 0.
	  - Improve galagod_get_uid() by including a randomly generated number
	    between 0 and 65535.
	  - Convert the UID string to a new format that uses hex.
	  - Store and read in the service ID and account username from the
	    cache file.
	  - Added a version indicator to the cache file.
	  - Fixed parsing of lines and a segfault due to an invalid param count.
	  - Don't nuke the cache file immediately after the initial read.
	    Instead, open it as "a+" so that we can read from it and append to it.
	    This prevents data loss if galago-daemon is quickly started and then
	    shut down or crashed.

Wed Aug 04 13:15:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Put the service ID in the list of params as well. Just having the
	    account is a bit worthless.

Wed Aug 04 13:14:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Flush the file pointer when we're done writing to the cache.
	    It seems things were getting chopped off. This should fix it?

Wed Aug 04 13:11:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Don't add people to the cache that don't have accounts.

Wed Aug 04 13:09:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	  - Generate a good-enough UUID for person IDs.

Tue Aug 03 15:49:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Don't screw up when writing the person cache.

Tue Aug 03 15:33:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	* src/person-cache.c:
	A src/person-cache.h:
	  - Call the person cache init/uninit functions at the appropriate
	    times.
	  - Fixed bugs in get_cache_paths(). g_build_path() was being called
	    wrong.

Tue Aug 03 13:46:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-cache.c:
	  - Added galagod_person_cache_flush(), which updates the cache file
	    with the in-memory copy of all people and accounts.
	  - Call the new flush function every 10 minutes, and when we shut
	    down.

Mon Aug 02 14:35:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	A src/person-cache.c:
	  - Added the beginnings of the person UID cache. This will solve the
	    problem of not being able to refer to a particular person across
	    sessions, and allow for further work on PPOs.

Fri Jul 23 02:22:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/core.c:
	* src/service-list.c:
	  - Make service ID and account username key string comparisons
	    case-insensitive.

Tue Jul 20 15:45:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	  - Added a fallback LIBEXECDIR that'll be used if binreloc isn't
	    enabled.

Tue Jul 20 03:41:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	  - Clean up a coco and all of its information (presences, accounts,
	    etc.) when the client dies before unregistering. This is the last
	    major showstopper before release.

Mon Jul 19 22:36:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/main.c:
	A src/prefix.c:
	A src/prefix.h:
	A acinclude.m4:
	* configure.ac:
	  - Added the autopackage binreloc code, for binary relocateability.

Mon Jul 19 15:36:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* galago-daemon.spec.in:
	  - Added an RPM spec file.

Sat Jul 17 14:33:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Pop the context in the RemoveProperty handler.

Sun Jul 11 02:26:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account.c:
	* src/core.c:
	* src/person.c:
	* src/presence.c:
	* src/service-list.c:
	* src/service.c:
	  - Migrated to the new generic D-BUS object append/get functions.

Sat Jul 10 19:13:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - Update for the galago_signal_connect() API change.

Sat Jul 10 18:21:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	  - Moved to the new object API.

Sat Jul 10 02:19:57 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - Updated to work with the new signal API.

Fri Jul 09 02:00:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Fix some debug levels.

Fri Jul 09 01:58:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/coco.c:
	* src/core.c:
	* src/main.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/person-list.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Move all debug logging to the new convenience wrapper API.

Mon Jul 05 12:05:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Updated for the property API changes.

Fri Jul 02 22:06:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/presence.c:
	  - More dbus_message_iter_next() calls.

Fri Jul 02 21:54:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Make sure we call dbus_message_iter_next() in the Register handler.
	    I don't know how this didn't screw things up earlier, but perhaps
	    D-BUS 0.21 is more strict.

Fri Jul 02 13:53:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - As a "Just In Case" precaution, don't launch feeds from the
	    $HOME/.local/libexec/galago dir if the user installed to the prefix
	    $HOME/.local/.

Fri Jul 02 13:46:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Enable exitting on disconnect so that when our D-BUS server dies,
	    we'll die as well.

Thu Jun 24 00:26:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - I don't know if this is best, but if connected_weight is 0 (which
	    will occur if there are two accounts under one meta-account and one
	    just signed off while the other is on, or one signed on while the
	    other is off), it will go ahead and set the connection state, *if*
	    connected is TRUE.

Thu Jun 24 00:15:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Fix setting statuses on presences.

Wed Jun 23 23:56:45 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Set a status on a presence only if the meta-presence's presences
	    mostly agree on the status.

Wed Jun 23 17:49:54 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Set the connected state based off the average connection state of
	    all accounts in a meta-account.

Sun Jun 20 20:38:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	  - Set the display name on the meta-account's main account when
	    an account with a display name is added. It's kind of unclean,
	    but the next big change should take care of that.

Thu Jun 17 01:00:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Remove support for Core.QueryPresences, and Core.GetDotGraph.

Wed Jun 16 19:09:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/Makefile.am:
	* tools/get-presence-graph.c:
	  - Remove the get-presence-graph tool. It's no longer functional.

Sun Jun 13 13:06:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Added support for Account.SetDisplayName() and
	    Account.GetDisplayName().

Wed Jun 09 03:38:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Only emit the Connected/Disconnected signals if the connection
	    state has indeed changed.

Tue Jun 01 14:27:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/main.c:
	  - Automatically run feeds from $prefix/libexec/galago/ and
	    $HOME/.local/libexec/galago/ on startup.

Sat May 29 20:13:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Implement Account.GetContact().

Thu May 27 18:07:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	* src/meta-presence.c:
	* src/account.c:
	  - Cleaned up some code and changed the order of some calls to prevent
	    possible race conditions. Also added debug statements.

Thu May 27 18:05:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Don't try to add the status on the non-native presence if it
	    already exists. If it does exist, destroy it, and finally, do
	    this all after we've already modified the main_presence, so we
	    don't work with freed memory.

Thu May 27 13:18:20 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - Don't display a garbage number in the IdleUpdated debug message
	    if idle is FALSE.

Thu May 27 13:15:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - This probably won't fix any bugs, but just in case..

Thu May 27 13:13:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Emit StatusAdded and StatusRemoved signals.

Thu May 27 13:03:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Updated to take a string instead of a status for the RemoveStatus
	    message handler.
	  - Don't attempt to add a status to the main presence of a meta-presence
	    if that presence already has a status of the same ID.

Wed May 26 00:08:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - I meant to remove this line.

Tue May 25 23:37:40 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/coco.c:
	* src/meta-account.c:
	  - The presence filter is now removed at the appropriate time, and
	    the meta-presence is also destroyed at the appropriate time. This
	    fixes a nasty crash I was experiencing when feeds restarted.

Tue May 25 22:56:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/meta-account.c:
	* src/meta-presence.c:
	* src/person-list.c:
	  - Fixed several warnings by including filter.h. I missed these
	    somehow.

Tue May 25 16:20:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/account.c:
	* src/avatar.c:
	* src/filter.c: (A)
	* src/filter.h: (A)
	* src/galagod.h:
	* src/main.c:
	* src/meta-person.c:
	* src/meta-service.c:
	* src/person.c:
	* src/presence.c:
	* src/service-list.c:
	* src/service-list.h:
	* src/service.c:
	  - Unified the message filter code. All the hard work is now done in
	    filter.c. The D-BUS vtables and the frequently duplicated code
	    from all the message processor files have been removed.

Tue May 25 15:57:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account.c:
	* src/avatar.c:
	* src/galagod.h:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/person-list.c:
	* src/person.c:
	* src/presence.c:
	* src/service-list.c:
	* src/service.c:
	  - Removed the coco parameters to the add/remove filter functions,
	    simplifying a lot of the code.

Mon May 24 23:33:11 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	* src/meta-presence.c:
	* src/presence.c:
	  - Remove the filters for all presences inside a meta-presence when
	    we destroy the meta-presence.
	  - Destroy meta-presences when we destroy meta-accounts.

Mon May 24 17:14:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	* src/presence.c:
	  - Moved the IdleChanged signal emittion to meta-presence.c, and
	    attached a signal callback to the main presence of a meta-presence,
	    which emits the signal.
	  - Added/removed D-BUS message filters for presences. Statuses and
	    idle updates should now work right.

Mon May 24 16:15:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Emit IdleUpdated signals when a presence's idle time is updated.

Sun May 23 02:19:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/list-accounts.c:
	* tools/list-my-accounts.c:
	  - The output of list-accounts is a bit cleaner now, and the output
	    of list-my-accounts is more detailed.

Sun May 23 01:16:50 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/person-list.c:
	* src/service.c:
	  - When merging meta-persons (which causes the source meta-person to
	    be destroyed), all associated accounts that were transferred over
	    had a parent person pointer pointing to the destroyed person in
	    the meta-person. The parent person is now updated to the new parent
	    person. In other words, the poor children with corrupt parents now
	    have healthy, new parents! Everybody wins!

Fri May 21 00:41:50 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - Update the meta_person_count and meta_people variables when
	    merging MetaPersons.

Thu May 20 18:51:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - We were only adding/removing people->meta_people entries from the
	    meta_people_table hashtable if the meta-person was just
	    created/destroyed, and even then we weren't always doing it right.
	    Furthermore, this hashtable was never used, or useful in the first
	    place. Nuked!

Thu May 20 13:57:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - When adding a presence to a meta-presence, copy over the statuses.

Tue May 18 10:14:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - If the specified meta-account is not found in Service.GetAccount(),
	    return back a NULL account. Don't assume the meta-account exists.

Mon May 17 00:11:20 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - Create a default "Me" meta-person on init, and don't destroy it
	    until we shut down. We want to always be able to query the core
	    for the "Me" person, whether a feed created one or not. This
	    closes part two of bug #953809.

Fri May 14 01:35:57 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - Remove some redundant code that might actually mess things up.

Fri May 14 01:10:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person-list.c:
	* src/service.c:
	  - Auto-merge a meta-person and the meta-me person if the meta-person
	    is a "Me" meta-person.

Thu May 13 20:21:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person-list.c:
	  - Clear the meta_me variable when destroying that meta-person.

Thu May 13 20:08:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/Makefile.am:
	* tools/list-my-accounts.c:
	  - Added a tool for listing all accounts from the "Me" person.

Thu May 13 19:34:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/list-accounts.c:
	  - Added a "(me)" indicator to those accounts belonging to the local
	    person.

Thu May 13 00:24:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Update for the galago_account_get_presence() API change.

Thu May 13 00:10:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/meta-account.c:
	* src/person-list.c:
	  - Destroy the correct persons when destroying the CoCo. This is now
	    done correctly, it seems.
	  - Return the correct MetaPerson when searching for a MetaPerson that
	    owns an account.

Wed May 12 22:25:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/account-list.c:
	* src/coco.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-presence.c:
	* src/meta-service.c:
	* src/person-list.c:
	* src/person-list.h:
	* src/service.c:
	  - Handle merging of persons when accounts are added.
	  - Clear the meta-* properties on objects when the meta object is
	    being destroyed.
	  - Don't remove people when destroying a CoCo. This is causing
	    MetaPersons to be destroyed prematurely, which causes a crash
	    down the road.
	  - Added a lot of debug statements.

Mon May 10 22:43:35 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - Set the "meta-presence" data for a meta-presence's main presence.

Mon May 10 20:53:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Don't push and pop the context when we don't need to.

Mon May 10 20:06:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Don't push and pop the context for Person.GetAccounts(). There's
	    no need to, and it causes runtime warnings with "Me" people.

Mon May 10 20:02:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person-list.c:
	* src/person-list.h:
	  - Implemented Core.GetMe() in a much better way. It actually works
	    now, you see. I think.

Mon May 10 19:04:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/person-list.c:
	* src/person-list.h:
	  - Added untested code that should merge meta-persons together when
	    multiple meta-persons share the same account.

Mon May 10 18:33:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Added Core.GetMe().

Mon May 10 18:26:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Added support for Core.GetPeople().

Tue May 04 00:00:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Updated for the galago_person_get_account() API change.

Mon May 03 23:52:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Added support for Person.GetAccount() and Person.GetAccounts().

Mon May 03 17:12:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Remove the debug messages I put in.

Mon May 03 17:01:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Same stupid mistake in two days. Fixed the "rather large problem,"
	    which turned out to be the same careless mistake I made yesterday.
	    Ah well.

Mon May 03 16:55:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Kind of handle creating/destroying meta presences when an account's
	    presence is set. A rather large problem was discovered by doing this,
	    though, so that's the next task I guess.

Sun May 02 17:41:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account.c:
	* tools/list-accounts.c:
	* tools/list-services.c:
	  - Updated for the libgalago API changes.

Sat May 01 15:25:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Remember to push and pop the context for cocos. That's kind of
	    important...

Sat May 01 15:02:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Added Account.AddContact(), Account.RemoveContact(), and
	    Account.GetContacts().

Fri Apr 30 23:04:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/person.c:
	  - Added Account.SetPresence(), Account.GetPresence(),
	    Account.SetAvatar(), and Account.GetAvatar().
	  - Removed Person.AddPresence(), Person.RemovePresence(),
	    Person.AddAvatar(), and Person.RemoveAvatar().

Fri Apr 30 22:56:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - Removed Service.GetPresence().

Fri Apr 30 22:52:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c
	* src/meta-account.c:
	* src/meta-person.c:
	  - Removed Account.GetPresences().
	  - Changed Account.GetPresence(username) to Account.GetPresence().
	  - Made Account.GetPresence() work again.
	  - Remove some now useless #if 0'd code.

Fri Apr 30 22:44:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/account-list.c:
	* src/account.c:
	* src/core.c:
	* src/main.c:
	* src/meta-account.c:
	* src/meta-account.h:
	* src/meta-person.c:
	* src/meta-person.h:
	* src/meta-presence.c:
	* src/meta-presence.h:
	* src/person.c:
	* src/presence-list.c: (D)
	* src/presence-list.h: (D)
	* src/service.c:
	  - galago-daemon now compiles. Please don't confuse this with working.
	    You'll be horribly disappointed.

Tue Apr 27 15:23:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - Handle Person.AddProperty and Person.RemoveProperty messages.

Tue Apr 20 00:16:11 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - If we don't have a service with the specified ID, don't spit out
	    a warning.

Mon Apr 19 23:37:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - Added support for Service.GetPresence().

Thu Apr 15 01:52:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Emit Connected and Disconnected signals for accounts.

Sun Apr 11 08:50:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Ignore the signals we're emitting ourselves.

Sun Apr 11 01:04:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - "Uhandled" -> "Unhandled"

Wed Apr 07 23:09:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence-list.c:
	  - Emit signals when a status is added or removed.

Wed Apr 07 22:21:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - If the desired presence wasn't found in Account.GetPresence,
	    return nil.

Wed Apr 07 22:19:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Update for the galago_object_init API update.

Mon Apr 05 01:50:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence-list.c:
	  - Added signals for when presences are added or removed from an
	    account.

Mon Apr 05 01:43:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	  - Added signals for when accounts are added or removed from a service.

Mon Apr 05 01:33:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	  - Added signals for when services are added or removed.

Sat Apr 03 23:40:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Added support for the Account.GetPresence() call. GetPresences()
	    isn't implemented yet, as that will require a few changes first.

Sat Apr 03 17:28:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-service.c:
	* src/service.c:
	  - Set the meta-service property on the meta service's main service.
	  - Register and unregister D-BUS message filters for the main services.
	  - Remove the requirement for passing CoCos to the service filter
	    functions.

Sat Apr 03 17:19:05 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/person.c:
	  - Set the meta-account property on the meta account's main account,
	    and the meta-person property on the meta person's main person.
	  - Register and unregister D-BUS message filters for the main accounts
	    and people.
	  - Remove the requirement for passing CoCos to the account and person
	    filter functions.

Sat Apr 03 17:03:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Fix the path.

Sat Apr 03 16:45:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/galagod.h:
	* src/main.c:
	* src/meta-person.c:
	* src/meta-service.c:
	  - Added a main galagod context, and put the services and people
	    inside it.

Sat Apr 03 16:32:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/list-accounts.c:
	  - Added a tool for listing accounts.

Sat Apr 03 16:17:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - Added support for Service.GetAccount() and Service.GetAccounts().

Sat Apr 03 16:09:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Compile again.

Tue Mar 30 01:05:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c: (D)
	* src/graph.h: (D)
	* src/presence-graph.c: (D)
	* src/presence-graph.h: (D)
	  - Removed the graph and presence graph APIs.

Tue Mar 30 00:59:41 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	  - Account.SetConnected now updates both the target presence and the
	    main meta-presence for that.

Tue Mar 30 00:36:46 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Handle duplicate statuses in a presence by removing the old and
	    putting in the new.

Tue Mar 30 00:30:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Add/remove statuses and set idle info on the meta-presence's
	    presence when setting a normal presence's info.

Mon Mar 29 20:34:27 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence-list.c:
	  - Being able to compile rocks.

Mon Mar 29 20:29:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence-list.c:
	* src/presence-list.h:
	  - Removed the meta-person comparison check in the equals function
	    for the hashtable, and from galagod_presence_list_get_meta_presence().
	    Presences are bound to both accounts and persons, so using either
	    one should be fine. This isn't a problem in libgalago because each
	    app manages its own Persons, but since we use MetaPersons and such
	    in the daemon, and each person gets its own metaperson, we'll have
	    to remove the comparison to get the expected results.

Mon Mar 29 19:54:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Core.GetDotGraph returns what should be a proper graphviz dot
	    graph again, using the presence lists directly, rather than
	    sticking things in a graph structure first.

Mon Mar 29 10:20:52 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/coco.c:
	* src/core.c:
	* src/main.c:
	* src/meta-service.c:
	* src/presence-graph.c:
	* src/presence-graph.h:
	* src/presence-list.c:
	  - Removed the presence graph. I won't delete the file just yet,
	    but I don't really want this around anymore.

Mon Mar 29 10:11:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Fix a leakbug.

Sun Mar 28 15:44:05 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/core.c:
	* src/galagod.h:
	* tools/Makefile.am:
	* tools/shutdown-daemon.c: (A)
	  - Added a Core.ShutDown command, for remotely shutting down the daemon,
	    and a test tool for doing this.

Sun Mar 28 11:44:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/coco.c:
	* src/main.c:
	* src/meta-account.c:
	* src/meta-person.c:
	* src/meta-person.h:
	* src/person.c:
	* src/presence-list.c:
	* src/presence-list.h:
	  - The presence list is now global, rather than per-person. This saves
	    a bit of memory (not monkey) on data structures, and makes it far
	    easier for meta-accounts to remove presences as well. This was a
	    fairly easy change, as the internal structures already use the
	    meta-account and meta-person for part of the key.
	  - Prevent presences from being removed from the presence list if it's
	    not already in it. This prevents a few issues I ran into.

Sun Mar 28 03:13:20 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-account.c:
	* src/person-list.c:
	  - galago_list_append != galago_list_remove.

Sun Mar 28 02:35:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-presence.c:
	  - Add a sanity check.

Sun Mar 28 01:38:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/person.c:
	  - Set the "coco" property on accounts and people.
	  - Add and remove presences from the presence lists on people.

Sun Mar 28 01:32:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	* src/presence-list.c:
	  - Add the presences to the graph in presence-list.c. The graph will
	    be gone soonish, but for now, it's a good way to make sure we're not
	    leaving presences behind when we unregister.

Sun Mar 28 01:28:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Remove all people associated with a coco when the coco is destroyed.

Sun Mar 28 01:18:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Added debug info for each object handler, so we can see what D-BUS
	    messages we're getting.

Sun Mar 28 01:11:45 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/meta-person.h:
	  - Tied the presence list in with GalagodMetaPerson.

Sun Mar 28 00:56:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/core.c:
	* src/galagod.h:
	* src/main.c:
	* src/person.c:
	* src/presence-graph.h:
	* src/service-list.h:
	* src/service.c:
	  - Cleaned up the #include and header file mess.

Sun Mar 28 00:24:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	* src/person.c:
	* src/meta-account.h:
	* src/meta-service.h:
	* src/meta-presence.h:
	* src/meta-person.h:
	* src/account-list.c:
	* src/service-list.c:
	* src/presence-list.c:
	* src/person-list.c:
	* src/coco.h:
	  - Added utility macros for retrieving specific pieces of data from
	    various objects, such as CoCos, meta-services, etc.

Sun Mar 28 00:10:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/meta-presence.c: (A)
	* src/meta-presence.h: (A)
	* src/person.c:
	* src/presence-list.c: (A)
	* src/presence-list.h: (A)
	  - Added GalagodMetaPresence and presence lists.

Sat Mar 27 00:46:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/core.c:
	* src/galagod.h:
	* src/meta-person.c:
	* src/meta-person.h:
	* src/person-list.c:
	* src/person-list.h:
	  - Added a person list.

Tue Mar 23 16:19:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/meta-person.h:
	  - Added galagod_meta_person_get_people() and
	    galagod_meta_person_merge().

Tue Mar 23 02:17:43 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Set the coco data for accounts.

Tue Mar 23 02:14:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - Manipulate the account list in the AddAccount/RemoveAccount
	    command handlers, rather than setting the filters manually.

Tue Mar 23 02:10:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account-list.c:
	* src/account-list.h:
	* src/meta-service.c:
	* src/meta-service.h:
	  - GalagoMetaServices now have account lists, and maintain them.
	    Mostly.

Tue Mar 23 02:05:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/account-list.c:
	* src/account-list.h:
	* src/galagod.h:
	  - Added an account list for storing and grouping accounts into
	    MetaAccounts.

Tue Mar 23 01:44:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/meta-account.c: (A)
	* src/meta-account.h: (A)
	  - Added GalagodMetaAccount.

Tue Mar 23 01:27:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	* src/service-list.h:
	  - Add the copyright header.

Tue Mar 23 01:22:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - conn -> dbus_conn.

Tue Mar 23 01:21:45 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/core.c:
	* src/galagod.h:
	* src/main.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Remove the DBusConnection parameters from the filter manipulation
	    functions.

Tue Mar 23 00:56:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/galagod.h:
	* src/service-list.c:
	* src/service.c:
	  - The service list now handles the adding and removing of D-BUS
	    message filters.
	  - Removed the DBusConnection parameters from
	    galago_service_add_filter() and galago_service_remove_filter().

Tue Mar 23 00:37:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	  - This should be a much shorter way of doing what we were doing
	    previously, and handles the removing of meta-services when no
	    longer needed.

Mon Mar 22 23:19:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	  - Now that we have custom data associated with objects, we can
	    speed up removing all services with the specified CoCo from
	    all meta-services.

Sun Mar 21 16:09:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-person.c:
	* src/meta-service.c:
	  - Set meta-service properties on the services added to a MetaService.
	  - Set meta-person properties on the people added to a MetaPerson.

Sun Mar 21 16:06:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Set coco properties on the services and people.

Sun Mar 21 12:44:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	  - Made GalagodCoCo into a GalagoObject.

Sun Mar 21 12:03:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/account.c:
	* src/avatar.c:
	* src/coco.c:
	* src/core.c:
	* src/person.c:
	* src/presence-graph.c:
	* src/presence.c:
	* src/service.c:
	  - Updated for the new GalagoObject changes.

Sun Mar 21 11:58:41 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/service-list.c:
	* src/service-list.h:
	  - Added galagod_services_remove_with_coco().

Sun Mar 21 00:53:15 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/list-services.c:
	  - We don't need to call galago_uninit() anymore.

Sun Mar 21 00:52:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/presence-graph.c:
	* src/presence-graph.h:
	  - Attempt to remove presences when a coco disconnects.

Sat Mar 20 17:06:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Statuses weren't getting added to the presencs when sent. Fixed.

Sat Mar 20 02:35:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/list-services.c:
	  - Added a test tool for listing all known services.

Sat Mar 20 02:34:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/main.c:
	  - Fix unregistration.

Sat Mar 20 00:20:13 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Added support for Core.GetService and Core.GetServices calls.

Sat Mar 20 00:16:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	  - Clean up after ourselves better when uninitializing the services.

Sat Mar 20 00:13:16 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service-list.c:
	  - Added galagod_services_get_meta_service_count().

Fri Mar 19 23:21:00 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Add and remove the services to the services list when we
	    receive AddService/RemoveService commands.

Fri Mar 19 22:27:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/main.c:
	* src/meta-service.h:
	* src/service-list.c:
	* src/service-list.h:
	  - Added the service lists, for grouping multiple services into a
	    single, all-powerful, fearsome META SERVICE! Dun dun dun dun...

Fri Mar 19 21:45:05 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/meta-service.c:
	* src/meta-service.h:
	  - Added galagod_meta_service_get_services().

Fri Mar 19 21:17:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/meta-service.c:
	* src/meta-service.h:
	  - Added GalagodMetaService. This will rule the world someday, with
	    a fury unlike that of other fury-inducing data structures. Other
	    than that, it's exactly like GalagodMetaPerson, but with services.

Wed Mar 10 16:23:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/meta-person.c:
	* src/meta-person.h:
	  - Added GalagodMetaPerson.

Wed Mar 10 15:34:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/presence-graph.c:
	* src/presence-graph.h:
	  - Added the base support for retrieving a list of presences.
	    Currently, it just returns an empty list.

Wed Mar 10 00:10:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Oops, let's also destroy the coco.

Wed Mar 10 00:09:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Fix unregistration of cocos.

Tue Mar 09 02:33:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person.c:
	* src/service.c:
	  - Don't crash when people go offline or when presences, accounts,
	    services, people, etc. are removed.

Tue Mar 09 01:40:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Improved graph rendering.
	  - Presences with the same Person are now grouped.

Tue Mar 09 01:10:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c:
	  - graph != edge

Tue Mar 09 00:51:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tools/Makefile.am: (A)
	* tools/get-presence-graph.c: (A)
	* Makefile.am:
	* configure.ac:
	  - Added a test tool to get a presence graph.

Tue Mar 09 00:25:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/presence-graph.c:
	* src/presence-graph.h:
	  - Added the GetDotGraph message handler. This probably won't work
	    right away, but should produce a nifty little dot graph of all
	    presences.

Tue Mar 09 00:03:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence.c:
	  - Added support for the SetIdle message.

Mon Mar 08 17:01:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person.c:
	* src/service.c:
	  - Reference counting! Bah, I say. Look at my shiney new coin.

Mon Mar 08 16:47:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Let's not crash as much when I sent broken data. Also, add
	    more debug info.

Mon Mar 08 16:41:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/person.c:
	  - I don't know what the hell happened, but sticking an assert here
	    is a good idea.

Mon Mar 08 14:00:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c:
	* src/graph.h:
	* src/presence-graph.c:
	  - Made the graph API suck less.

Mon Mar 08 00:24:41 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/presence-graph.c:
	  - Added some presence comparison voodoo.

Sun Mar 07 01:29:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c:
	* src/graph.h:
	  - Added galagod_graph_list_with_func().

Sun Mar 07 01:07:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c:
	* src/graph.h:
	  - Added galagod_graph_find_with_func().

Sat Mar 06 23:00:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/graph.c:
	* src/main.c:
	* src/person.c:
	* src/presence-graph.c:
	* src/presence-graph.h:
	  - Added the beginnings of the presence graph.

Sat Mar 06 22:57:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.h:
	  - "galagy" != "galagod"

Sat Mar 06 22:49:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/graph.c:
	* src/graph.h:
	  - Added to the graph API a little bit.

Sat Mar 06 20:18:22 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/graph.c:
	* src/graph.h:
	  - Added a very basic graph implementation.

Sat Mar 06 20:09:19 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/person.c:
	* src/presence.c:
	* src/service.c:
	  - Move the D-BUS message info each handler. Display it only if it's
	    an unknown message, since we pretty much have them all covered now.

Sat Mar 06 20:04:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/avatar.c:
	* src/galagod.h:
	* src/person.c:
	  - Added the message processor for avatars.

Sat Mar 06 19:18:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/person.c:
	* src/presence.c:
	  - Added the message processor for presences.

Sat Mar 06 13:17:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/person.c:
	* src/core.c:
	* src/galagod.h:
	  - Added the message processor for persons.

Sat Mar 06 12:56:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/service.c:
	  - Add/remove account filters when retrieving or destroying an
	    account.

Sat Mar 06 02:29:13 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/account.c:
	* src/galagod.h:
	  - Added the message processor for accounts.

Fri Mar 05 20:04:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/coco.c:
	* src/core.c:
	* src/galagod.h:
	* src/service.c:
	  - Add GalagoService message support.

Fri Mar 05 15:44:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/reply.c:
	* src/reply.h:
	  - Removed the old reply code.

Fri Mar 05 15:42:00 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/galagod.h:
	* src/coco.c:
	* src/core.c:
	* src/main.c:
	  - Added a central header file.

Fri Mar 05 15:30:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Services and persons remove themselves from the correct context's
	    caches, so we don't need to mess with pushing and popping them
	    ourselves anymore.

Fri Mar 05 15:26:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	* src/main.c:
	  - Use object path vtables for each CoCo, instead of a big long
	    set of global D-BUS message if statements.

Fri Mar 05 14:24:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Update the call to galago_glib_init() so this can actually compile.

Fri Mar 05 12:43:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	  - Added contexts to CoCos. Each coco now maintains its own cache
	    of services and persons.

Fri Mar 05 01:35:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Implemented Core.AddPerson and Core.RemovePerson.

Fri Mar 05 01:34:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Implemented Core.RemoveService.

Wed Mar 03 16:49:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/core.c:
	  - Fix our coco assertion function. If you're checking if a coco
	    is NULL, and it is, don't print debug info containing the contents
	    of the NULL coco's variables....

Wed Mar 03 16:41:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	* src/main.c:
	  - Filled in core_add_service().
	  - Added galagod_cocos_get_with_id() and
	    galagod_cocos_get_with_obj_path().

Mon Mar 01 15:15:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	  - Fix a leakbug.

Mon Mar 01 03:51:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/core.c:
	  - Prevent some segfaults when removing/replacing a coco.
	  - Fixed coco ID generation.

Mon Mar 01 03:20:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/coco.c:
	* src/coco.h:
	* src/core.c:
	* src/main.c:
	* src/Makefile.am:
	* galago-daemon.conf:
	  - Handle registration of CoCos (Core Connections).

Sun Feb 29 18:26:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Stripped galago-daemon down to its bare initialization code, in
	    preparation for actual work.

Sat Feb 14 14:13:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Fixed a segfault when normalizing feed IDs.

Sat Feb 14 03:43:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* Makefile.am:
	* configure.ac:
	  - Correctly generate galago-daemon.service.

Sat Feb 14 03:35:07 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* galago-daemon.service.in:
	  - Updated to the new service path.

Sat Feb 14 03:33:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* galago-daemon.conf:
	  - Updated to the new service path.

Sat Feb 14 03:24:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Added code for generating and returning a feed ID. This is
	    completely untested and will likely be replaced in time.

Sat Feb 14 02:36:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Moved the message handler code into their own functions.

Fri Jan 30 03:06:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Removed Galago-Association support.

Tue Jan 27 16:21:42 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/Makefile.am:
	* src/main.c:
	* src/reply.c:
	* src/reply.h:
	  - Moved the GalagodReply code into its own file.

Tue Jan 27 15:35:19 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Added a copyright notice.

Sun Jan 25 12:56:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - We now send a presence list whether or not we have any presences
	    to send. If we don't have any, it'll send a 0 in the number of
	    presences field, instead of nothing like before, which caused
	    problems.

Fri Jan 16 01:49:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Broadcast PresenceChanged signals when a presence is updated.

Sat Jan 10 23:47:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Support multiple presence lists.

Sat Jan 10 12:42:22 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Use or new really long functions. NULL-infested packet parsing
	    works!

Sat Jan 10 12:12:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Presence packets with a NULL in them are properly parsed now.

Sat Jan 10 01:53:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Added better protection against segfaults from invalid memory
	    accesses.

Fri Jan 09 23:50:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Fixed building of presence packets.

Fri Jan 09 22:38:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - After a long, hard decision, I decided to make this not always
	    crash.

Fri Jan 09 19:59:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - We're now using galago_dbus_message_iter_append_presence()
	    instead of duplicating a *huge* block of code.

Fri Jan 09 17:40:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - Added some hacky code that will later be replaced for gathering
	    polled presence packets and sending them off to the program that
	    requested presence.

Fri Jan 09 16:39:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/main.c:
	  - We now process a GetPresence and send out a PollPresence signal.

Fri Jan 09 16:02:54 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* galago-daemon.conf:
	  - Fix up galago-daemon.conf. It was broken before.

Fri Jan 09 16:01:43 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* Makefile.am:
	* configure.ac:
	* galago-daemon.conf:
	* galago-daemon.service.in:
	* src/Makefile.am:
	* src/main.c:
	  - galago-daemon actually sees messages now.

